#ifndef MSP_GRAPHICS_DEVILLOADER_H_
#define MSP_GRAPHICS_DEVILLOADER_H_

#include <msp/graphics/imageloader.h>

namespace Msp {
namespace Graphics {

class DevilLoader: public ImageLoader
{
private:
	IO::Base &io;
	unsigned id;

public:
	DevilLoader(IO::Seekable &);
	virtual ~DevilLoader();

	static unsigned get_signature_size() { return 128; }
	static bool detect(const std::string &);

	virtual void load(Image::Data &);
};

} // namespace Graphics
} // namespace Msp

#endif
