#ifndef MSP_GRAPHICS_PNGLOADER_H_
#define MSP_GRAPHICS_PNGLOADER_H_

#include <msp/graphics/imageloader.h>

namespace Msp {
namespace Graphics {

class PngLoader: public ImageLoader
{
private:
	struct Private;

	Private *priv;

public:
	PngLoader(IO::Base &, unsigned = 0);
	virtual ~PngLoader();

	static unsigned get_signature_size() { return 8; }
	static bool detect(const std::string &);

	virtual void load(Image::Data &);
};

} // namespace Graphics
} // namespace Msp

#endif
